List the provider app registrations
curl --request GET \
--url https://api.example.com/api/documents/sources/apps \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/documents/sources/apps"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/documents/sources/apps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/documents/sources/apps",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/documents/sources/apps"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/documents/sources/apps")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/documents/sources/apps")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"provider": "google",
"label": "<string>",
"sources": [
"<string>"
],
"configured": true,
"console_url": "<string>",
"setup_steps": [
"<string>"
],
"scopes": [
"<string>"
],
"setting_names": [
"<string>"
],
"enabled": false,
"client_id": "<string>",
"secret_set": false,
"settings": {},
"connected_people": 0,
"updated_by": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"redirect_uri": "<string>",
"redirect_error": "<string>"
}
]{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}Document imports
List the provider app registrations
Each provider’s app, setup steps, and the redirect URL to register. No secrets.
GET
/
api
/
documents
/
sources
/
apps
List the provider app registrations
curl --request GET \
--url https://api.example.com/api/documents/sources/apps \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/documents/sources/apps"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/documents/sources/apps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/documents/sources/apps",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/documents/sources/apps"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/documents/sources/apps")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/documents/sources/apps")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"provider": "google",
"label": "<string>",
"sources": [
"<string>"
],
"configured": true,
"console_url": "<string>",
"setup_steps": [
"<string>"
],
"scopes": [
"<string>"
],
"setting_names": [
"<string>"
],
"enabled": false,
"client_id": "<string>",
"secret_set": false,
"settings": {},
"connected_people": 0,
"updated_by": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"redirect_uri": "<string>",
"redirect_error": "<string>"
}
]{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}Authorizations
OAuth2AuthorizationCodeBearerAPIKeyHeader
The access token received from the authorization server in the OAuth 2.0 flow.
Response
Successful Response
Available options:
google, microsoft, atlassian, notion The sources this app opens.
Settings besides the client id.
Whether a secret is stored.
Show child attributes
Show child attributes
People signed in with it.
Register this as the app's redirect URL.
Why the redirect URL isn't known.
Was this page helpful?

